cabal-version: 1.12

-- This file has been generated from package.yaml by hpack version 0.33.0.
--
-- see: https://github.com/sol/hpack
--
-- hash: d71e7d358dbd270995577fd51f9ddfea5f73439f93087d81cbb8d267e9df55d7

name:           cht
version:        0.0.1
license:        MIT
build-type:     Simple

library
  exposed-modules:
      CHT
      CHT.Internal
  other-modules:
      Paths_cht
  hs-source-dirs:
      src
  ghc-options: -Wall -Wcompat
  build-depends:
      array
    , base ==4.*
    , concurrency
    , hashable
    , stm
  default-language: Haskell2010

test-suite cht-test
  type: exitcode-stdio-1.0
  main-is: Spec.hs
  other-modules:
      CHTSpec
      Paths_cht
  hs-source-dirs:
      test
  ghc-options: -Wall -Wcompat -Wno-missing-export-lists -threaded -rtsopts -with-rtsopts=-N3
  build-tool-depends:
      hspec-discover:hspec-discover
  build-depends:
      array
    , base ==4.*
    , cht
    , concurrency
    , exceptions
    , hspec
    , hspec-contrib
    , hunit-dejafu
  default-language: Haskell2010

benchmark cht-bench
  type: exitcode-stdio-1.0
  main-is: Main.hs
  other-modules:
      Paths_cht
  hs-source-dirs:
      bench
  ghc-options: -Wall -Wcompat -threaded -O -rtsopts -with-rtsopts=-N3
  build-depends:
      base ==4.*
    , cht
    , concurrency
    , criterion
  default-language: Haskell2010
